function example1()

    function [Q, R] = buildOnOff (meanOn, meanOff, rate, baserate, K)
        
%        Q = sparse(K,K);
%        R = sparse(K,K);
        Q = zeros(K,K);
        R = zeros(K,K);
        for i=1:K
            if i<K
                Q(i,i+1) = (K-i) / meanOn;
            end
            if i>1
                Q(i,i-1) = (i-1) / meanOff;
            end
            R(i,i) = baserate + (i-1)*rate;
        end
        Q = Q - diag(sum(Q,2));
    end

    alpha0 = 1; % off state, 1/mean
    alpha1 = 0.4; % on state, 1/mean
    c = 1.1; % [mbps]
    l0 = 1; % priority cells, [mbps]
    l1 = 0.5; % marked cells, [mbps], dropped when queue size > 3
    sig0 = 0.1;
    T = [3, 10]; % thresholds, [mbit]
    
    [Q1, R1] = buildOnOff (1/alpha1, 1/alpha0, l0+l1, 0, 3);
    [Q2, R2] = buildOnOff (1/alpha1, 1/alpha0, l0, 0, 3);
    N = size(R1,1);
    S1 = sig0 * 2 * eye(N);
    S2 = sig0 * eye(N);

    % obtain the parameters of the stationary solution
    tic
    [masses, iniF, KF, cloF, iniB, KB, cloB] = SecondOrderLevelDependentFluidSolve ({Q1,Q2}, {R1-c*eye(N),R2-c*eye(N)}, {S1,S2}, T, zeros(1,N), zeros(1,N));
    toc
   % calculate pdf
   points = 0:0.01:10;
   pdf = LevelDependentFluidStationaryDistr (masses, iniF, KF, cloF, iniB, KB, cloB, T, 'pdf', points);

%    mean = [];
%    for sc = [0, 5, 10, 20, 30, 40, 50, 60, 70, 80, 90, 100]
%        [masses, iniF, KF, cloF, iniB, KB, cloB] = SecondOrderLevelDependentFluidSolve ({Q1,Q2}, {R1-c*eye(N),R2-c*eye(N)}, {sc*S1,sc*S2}, T, zeros(1,N), zeros(1,N));
%        points = 0:0.001:10;
%        cdf = LevelDependentFluidStationaryDistr (masses, iniF, KF, cloF, iniB, KB, cloB, T, 'cdf', points);
%        mean(end+1) = sum(1-sum(cdf,2))*0.001
%    end
end

