function example2()

    function [Q, R] = buildOnOff (meanOn, meanOff, rate, baserate, K)
        
%        Q = sparse(K,K);
%        R = sparse(K,K);
        Q = zeros(K,K);
        R = zeros(K,K);
        for i=1:K
            if i<K
                Q(i,i+1) = (K-i) / meanOn;
            end
            if i>1
                Q(i,i-1) = (i-1) / meanOff;
            end
            R(i,i) = baserate + (i-1)*rate;
        end
        Q = Q - diag(sum(Q,2));
    end

    alpha0 = 1; % off state, 1/mean
    alpha1 = 0.4; % on state, 1/mean
    c = 1.1; % [mbps]
    l0 = 1; % priority cells, [mbps]
    l1 = 0.5; % marked cells, [mbps], dropped when queue size > 3
    sig0 = 0.1;
    T = [3, 10]; % thresholds, [mbit]
    
%     runtm = [];
%     for L=10:10:750
%         [Q1, R1] = buildOnOff (1/alpha1, 1/alpha0, l0+l1, 0, L);
%         [Q2, R2] = buildOnOff (1/alpha1, 1/alpha0, l0, 0, L);
%         arrate = sum(CTMCSolve(Q1)*R1);
%         c = arrate + 2;
%         N = size(R1,1);
%         S1 = sig0 * 2 * eye(N);
%         S2 = sig0 * eye(N);
%         f = @() SecondOrderLevelDependentFluidSolve ({Q1,Q2}, {R1-c*eye(N),R2-c*eye(N)}, {S1,S2}, T, zeros(1,N), zeros(1,N));
%         runtm(end+1) = timeit(f)
%     end
    
    runtm = [];
    L = 10;
    [Q1, R1] = buildOnOff (1/alpha1, 1/alpha0, l0+l1, 0, L);
    [Q2, R2] = buildOnOff (1/alpha1, 1/alpha0, l0, 0, L);
    arrate = sum(CRPSolve(Q1)*R1);
    c = arrate + 2;
    N = size(R1,1);
    S1 = sig0 * 2 * eye(N);
    S2 = sig0 * eye(N);
    for K=[2,10:10:500]
        Qc = cell(1,K);
        Rc = cell(1,K);
        Sc = cell(1,K);
        T = zeros(1,K);
        for k=1:K
            Qc{k} = Q1;
            Rc{k} = R1 + (R2-R1)*(k-1)/(K-1) - c*eye(N);
            Sc{k} = S1 + (S2-S1)*(k-1)/(K-1);
            T(k) = 1 + (10-1)*(k-1)/(K-1);
        end
        f = @() SecondOrderLevelDependentFluidSolve (Qc, Rc, Sc, T, zeros(1,N), zeros(1,N));
        runtm(end+1) = timeit(f)
    end


end

